Subject: [magma] GSQ and GSSQ query replies

From: xxx <[email-masked]>
Date: Sun, 19 Oct 2008 11:30:54 -0700 (PDT)

Hello All,
 
   My reading suggests the following rule is ambigiuous:
 
RFC 3376 (s5.2 Rule 4):
-----------------------------------
       If there already is a pending response to a previous Query
      scheduled for this group, and either the new Query is a Group-
      Specific Query or the recorded source-list associated with the
      group is empty, then the group source-list is cleared and a single
      response is scheduled using the group timer.  The new response is
      scheduled to be sent at the earliest of the remaining time for the
      pending report and the selected delay.
----------------------------
The fragment " the recorded source-list associated with the group is empty, then the group source-list is cleared " has two interpretations:
(1) it does not make sense - source list is empty and clear
(2) If the recorded source list is emtpy, so if we receive GSSQ with sources, we still keep the source list empty.
 
Both interpretations are wrong, I think. 
 
What is the correct meaning?
 
It seems rules are covering both GSQ and GSSQ reply processing logic as follows:
 
cases:
(1) Arrived GSQ if GSSQ reply is pending:
 
(2) Arrived GSSQ if GSQ reply is pending:
 
(3) Arrived GSQ if GSQ reply is pending
 
(4) Arrived GSSQ if GSSQ reply is pending
 
Rules:
(3) is covered by timers scheduling; (4) is covered by Rule 5
 
(1) seems covered by the above rule: Clear source list, and schedule GSQ reply
Similarly for 2, schedule GSSQ reply as the recorded source list is empty.
 
Any feedback please?

Thanks
Venkat

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma

---

From: Bharat Joshi <[email-masked]>
Date: Mon, 20 Oct 2008 11:12:22 +0530

Hi Venkat,

      I am sorry that I am not able to reply inline.

      As per RFC 3376, Section 5 step 3, recorded source list is defines as follows:

>>>> From RFC 3376

If the received Query is a Group-Specific Query or a Group-and-Source-Specific Query and there is no pending response to a previous Query for this group, then the group timer is used to schedule a report. If the received Query is a Group-and-Source-Specific Query, the list of queried sources is recorded to be used when generating a response.

<<<<

  If you notice, this rule talks about handling both Group and Group-source specific query similarly [i.e. by scheduling group-timer]. So if it is a group specific query that is received, recorded source list will be empty while for a group-source specific query, it will have list of sources received in the query.

  Now the interpretation you mentioned in your mail:

>>>> From your mail:

<<<<<

The first one is that if there is a response for group-source specific query [query received just before the current one] with some sources in recorded-source list and the current query is group-specific query, RFC suggest clearing the recorded source list. This is done because for a group specific query, recorded source list has to be empty and group specific query response takes care of the sources being queried in group-source specific query.

The second one is that if the recorded source list is empty [which will happen only when the previous query was group-specific query] and we now receive group-source specific query, we need not update recorded source list because we would be reporting all sources as the previous query was group-specific query.

Does this clarify the text or is it more confusing?

Regards,

Bharat

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of xxx
Sent: Monday, October 20, 2008 12:01 AM
To: [email-masked]
Subject: [magma] GSQ and GSSQ query replies

Hello All,

RFC 3376 (s5.2 Rule 4):

cases:

Rules:

Any feedback please?

Thanks
Venkat

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***
_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma